<?php

// ----------> Custom Taxonomies & Post Types

add_action( 'init', function(){

	register_taxonomy( 'taxonomy_galerie', array('_galerie'), array(
		'labels' => array(
			'name' => __( 'Kategorie', TEXTDOMAIN ),
			'menu_name' => __( 'Kategorie', TEXTDOMAIN ),
			'singular_name' => __( 'Kategorie', TEXTDOMAIN ),
			'add_new' => __( 'Přidat kategorii', TEXTDOMAIN ),
			'add_new_item' => __( 'Přidat kategorii', TEXTDOMAIN ),
			'edit_item' => __( 'Upravit', TEXTDOMAIN ),
			'new_item' => __( 'Přidat kategorii', TEXTDOMAIN ),
			'view' => __( 'Zobrazit', TEXTDOMAIN ),
			'view_item' => __( 'Zobrazit', TEXTDOMAIN ),
			'search_items' => __( 'Vyhledat', TEXTDOMAIN ),
			'not_found' => __( 'Seznam je prázdný...', TEXTDOMAIN ),
			'not_found_in_trash' => __( 'Koš je prázdný', TEXTDOMAIN )
		),
		'rewrite' => array( 'slug' => 'galerie', 'with_front' => false ),
		'public' => true,
		'hierarchical' => true,
		'show_admin_column' => true,
		'show_in_nav_menus' => true
	)
);

	register_post_type( '_clanky',
		array(
			'labels' => array(
				'name' => __( 'Články', TEXTDOMAIN ),
				'menu_name' => __( 'Články', TEXTDOMAIN ),
				'all_items' => __( 'Archiv', TEXTDOMAIN ),
				'archives' => __( 'Články', TEXTDOMAIN ),
				'singular_name' => __( 'Články', TEXTDOMAIN ),
				'add_new' => __( 'Přidat článek', TEXTDOMAIN ),
				'add_new_item' => __( 'Přidat článek', TEXTDOMAIN ),
				'edit_item' => __( 'Editovat článek', TEXTDOMAIN ),
				'new_item' => __( 'Přidat článek', TEXTDOMAIN ),
				'view' => __( 'Zobrazit článek', TEXTDOMAIN ),
				'view_item' => __( 'Zobrazit článek', TEXTDOMAIN ),
				'search_items' => __( 'Vyhledat článek', TEXTDOMAIN ),
				'not_found' => __( 'Seznam je prázdný...', TEXTDOMAIN ),
				'not_found_in_trash' => __( 'Koš je prázdný', TEXTDOMAIN ),
				'featured_image' => __( 'Obrázek', TEXTDOMAIN ),
				'set_featured_image' => __( 'Zvolit náhledový obrázek', TEXTDOMAIN ),
				'remove_featured_image' => __( 'Odstranit náhledový obrázek', TEXTDOMAIN )
			),
			'rewrite' => array( 'slug' => 'clanky', 'with_front' => false ),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => 'dashicons-welcome-write-blog',
			'supports' => array( 'title', 'editor', 'excerpt', 'comments', 'thumbnail' )
		)
	);

	register_post_type( '_galerie',
		array(
			'labels' => array(
				'name' => __( 'Galerie', TEXTDOMAIN ),
				'menu_name' => __( 'Galerie', TEXTDOMAIN ),
				'all_items' => __( 'Archiv', TEXTDOMAIN ),
				'archives' => __( 'Galerie', TEXTDOMAIN ),
				'singular_name' => __( 'Galerie', TEXTDOMAIN ),
				'add_new' => __( 'Přidat galerii', TEXTDOMAIN ),
				'add_new_item' => __( 'Přidat galerii', TEXTDOMAIN ),
				'edit_item' => __( 'Editovat galerii', TEXTDOMAIN ),
				'new_item' => __( 'Přidat galerii', TEXTDOMAIN ),
				'view' => __( 'Zobrazit galerii', TEXTDOMAIN ),
				'view_item' => __( 'Zobrazit galerii', TEXTDOMAIN ),
				'search_items' => __( 'Vyhledat galerii', TEXTDOMAIN ),
				'not_found' => __( 'Seznam je prázdný...', TEXTDOMAIN ),
				'not_found_in_trash' => __( 'Koš je prázdný', TEXTDOMAIN ),
				'featured_image' => __( 'Náhledový obrázek', TEXTDOMAIN ),
				'set_featured_image' => __( 'Zvolit náhledový obrázek', TEXTDOMAIN ),
				'remove_featured_image' => __( 'Odstranit náhledový obrázek', TEXTDOMAIN )
			),
			'rewrite' => array( 'slug' => 'galerie/%taxonomy_galerie%', 'with_front' => false ),
			'public' => true,
			'has_archive' => 'galerie',
			'menu_icon' => 'dashicons-format-gallery',
			'supports' => array( 'title', 'editor',  'thumbnail' )
		)
	);

});

// ----------> CPT/Taxonomies permalink fix

add_filter( 'post_type_link', function($post_link, $post) {

	$cpts = array( '_galerie' );

	if( is_object( $post ) && in_array( $post->post_type, $cpts ) ){

		$taxonomy = 'taxonomy'.$post->post_type;
		$terms = wp_get_object_terms( $post->ID, $taxonomy );
		if( $terms ){
				return str_replace( '%'.$taxonomy.'%' , $terms[0]->slug , $post_link );
		}/* else {
			return str_replace( '%'.$taxonomy.'%/', '', $post_link );
		}*/

	}

	return $post_link;

}, 1, 2 );